Search or ask Docker

Enable a plugin

POST /plugins/{name}/enable — Docker Engine API 1.57.

View Markdown
POST/plugins/{name}/enable

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

name path Required

The name of the plugin. The :latest tag is optional, and is the default if omitted.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

timeout query

Set the HTTP client timeout (in seconds)

Type: integer

All schema constraints and annotations
{
  "default": 0,
  "type": "integer"
}

Request and responses

Response 200

no error

application/json

Response 200

no error

text/plain

Response 404

plugin is not installed

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "operationId": "PluginEnable",
  "parameters": [
    {
      "description": "The name of the plugin. The `:latest` tag is optional, and is the\ndefault if omitted.\n",
      "in": "path",
      "name": "name",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Set the HTTP client timeout (in seconds)",
      "in": "query",
      "name": "timeout",
      "schema": {
        "default": 0,
        "type": "integer"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {},
        "text/plain": {}
      },
      "description": "no error"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "plugin is not installed"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Enable a plugin",
  "tags": [
    "Plugin"
  ]
}